Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry.infomodel
Interface Organization

All Superinterfaces:
  ExtensibleObject, RegistryObject

public interface Organization
extends RegistryObject

Organization instances provide information on organizations such as a Submitting Organization. Each Organization instance may have a reference to a parent Organization. In addition it may have a contact attribute defining the primary contact within the organization. An Organization also has an address attribute.

Author:
  Farrukh S. Najmi
See Also:
  `Service`

Method Summary
`void` | `addChildOrganization(Organization organization)` Adds a child Organization.
`void` | `addChildOrganizations(java.util.Collection organizations)` Adds a Collection of Organization children.
`void` | `addService(Service service)` Adds a child Service.
`void` | `addServices(java.util.Collection services)` Adds a Collection of Service children.
`void` | `addUser(User user)` Adds a User.
`void` | `addUsers(java.util.Collection users)` Adds a Collection of Users.
`int` | `getChildOrganizationCount()` Gets number of children.
`java.util.Collection` | `getChildOrganizations()` Gets all immediate children Organizations.
`java.util.Collection` | `getDescendantOrganizations()` Gets all descendant Organizations.
`Organization` | `getParentOrganization()` Gets the parent (container) organization.
`PostalAddress` | `getPostalAddress()` Gets the Address for this Organization.
`User` | `getPrimaryContact()` Gets the primary Contact for this Organization.
`Organization` | `getRootOrganization()` Gets the root organization.
`java.util.Collection` | `getServices()` Gets all children Services.
`java.util.Collection` | `getTelephoneNumbers(java.lang.String phoneType)` Gets the telephone numbers for this User that match the specified telephone number type.
`java.util.Collection` | `getUsers()` Gets the Collection of Users affiliated with this Organization.
`void` | `removeChildOrganization(Organization organization)` Removes a child Organization.
`void` | `removeChildOrganizations(java.util.Collection organizations)` Removes a Collection of children Organizations.
`void` | `removeService(Service service)` Removes a Service from this object.
`void` | `removeServices(java.util.Collection services)` Removes a Collection of children Services from this object.
`void` | `removeUser(User user)` Removes a User.
`void` | `removeUsers(java.util.Collection users)` Removes a Collection of Users.
`void` | `setPostalAddress(PostalAddress address)` Sets the address for this Organization.
`void` | `setPrimaryContact(User primaryContact)` Sets the primary contact for this Organization.
`void` | `setTelephoneNumbers(java.util.Collection phoneNumbers)` Sets the various telephone numbers for this user.

Methods inherited from interface javax.xml.registry.infomodel.RegistryObject
`addAssociation, addAssociations, addClassification, addClassifications, addExternalIdentifier, addExternalIdentifiers, addExternalLink, addExternalLinks, getAssociatedObjects, getAssociations, getAuditTrail, getClassifications, getDescription, getExternalIdentifiers, getExternalLinks, getKey, getLifeCycleManager, getName, getObjectType, getRegistryPackages, getSubmittingOrganization, removeAssociation, removeAssociations, removeClassification, removeClassifications, removeExternalIdentifier, removeExternalIdentifiers, removeExternalLink, removeExternalLinks, setAssociations, setClassifications, setDescription, setExternalIdentifiers, setExternalLinks, setKey, setName, toXML`

Methods inherited from interface javax.xml.registry.infomodel.ExtensibleObject
`addSlot, addSlots, getSlot, getSlots, removeSlot, removeSlots`

Method Detail

### getPostalAddress

    public PostalAddress getPostalAddress()
                                   throws JAXRException

  Gets the Address for this Organization.

  Capability Level: 1

  Returns:
    the PostalAddress for this Organization
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setPostalAddress

    public void setPostalAddress(PostalAddress address)
                          throws JAXRException

  Sets the address for this Organization.

  Capability Level: 1

  Parameters:
    `address` - the PostalAddress for this Organization
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getPrimaryContact

    public User getPrimaryContact()
                           throws JAXRException

  Gets the primary Contact for this Organization. The primary contact is one of the Users of the Organization, as returned by the getUsers call on an Organization instance.

  Capability Level: 0

  Returns:
    the User that is the primary Contact for this Organization. Must not be null
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setPrimaryContact

    public void setPrimaryContact(User primaryContact)
                           throws JAXRException

  Sets the primary contact for this Organization. If the primary contact is not in the existing Collection of User instances for this object then it must be added to that Collection. If the primary contact is already in the existing Collection of User instances for this object, then it should not be added to the Users collection as a duplicate entry. In either case, the primary contact is a distinguished User instance within the Collection of User instances for this Object.

  Capability Level: 0

  Parameters:
    `primaryContact` - the User that is the primary Contact for this Organization
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### addUser

    public void addUser(User user)
                 throws JAXRException

  Adds a User.

  Capability Level: 0

  Parameters:
    `user` - the User being added to this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### addUsers

    public void addUsers(java.util.Collection users)
                  throws JAXRException

  Adds a Collection of Users.

  Capability Level: 0

  Parameters:
    `users` - the Collection of Users being added to this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### removeUser

    public void removeUser(User user)
                    throws JAXRException

  Removes a User.

  Capability Level: 0

  Parameters:
    `user` - the User being removed from this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### removeUsers

    public void removeUsers(java.util.Collection users)
                     throws JAXRException

  Removes a Collection of Users.

  Capability Level: 0

  Parameters:
    `users` - the Collection of Users being removed from this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getUsers

    public java.util.Collection getUsers()
                                  throws JAXRException

  Gets the Collection of Users affiliated with this Organization. One of these users is designated as the primary contact.

  Capability Level: 0

  Returns:
    Collection of User instances. The Collection may be empty but not null.
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error
  See Also:
    `User`

### getTelephoneNumbers

    public java.util.Collection getTelephoneNumbers(java.lang.String phoneType)
                                             throws JAXRException

  Gets the telephone numbers for this User that match the specified telephone number type. If phoneType is null return all telephoneNumbers.

  Capability Level: 0

  Parameters:
    `phoneType` - a String that specifies the type of phone numbers desired
  Returns:
    Collection of TelephoneNumber instances. The Collection may be empty but not null.
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error
  See Also:
    `TelephoneNumber`

### setTelephoneNumbers

    public void setTelephoneNumbers(java.util.Collection phoneNumbers)
                             throws JAXRException

  Sets the various telephone numbers for this user.

  Capability Level: 0

  Parameters:
    `phoneNumbers` - the TelephoneNumbers being set for this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### addService

    public void addService(Service service)
                    throws JAXRException

  Adds a child Service.

  Capability Level: 0

  Parameters:
    `service` - the Service being added to this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### addServices

    public void addServices(java.util.Collection services)
                     throws JAXRException

  Adds a Collection of Service children.

  Capability Level: 0

  Parameters:
    `services` - the Collection of Services being added to this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### removeService

    public void removeService(Service service)
                       throws JAXRException

  Removes a Service from this object.

  Capability Level: 0

  Parameters:
    `service` - the Service being removed from this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### removeServices

    public void removeServices(java.util.Collection services)
                        throws JAXRException

  Removes a Collection of children Services from this object.

  Capability Level: 0

  Parameters:
    `services` - the Collection of Services being removed from this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getServices

    public java.util.Collection getServices()
                                     throws JAXRException

  Gets all children Services.

  Capability Level: 0

  Returns:
    Collection of Service instances. The Collection may be empty but not null.
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error
  See Also:
    `Service`

### addChildOrganization

    public void addChildOrganization(Organization organization)
                              throws JAXRException

  Adds a child Organization.

  Capability Level: 1

  Parameters:
    `organization` - the child Organization being added
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### addChildOrganizations

    public void addChildOrganizations(java.util.Collection organizations)
                               throws JAXRException

  Adds a Collection of Organization children.

  Capability Level: 1

  Parameters:
    `organizations` - the Collection of child Organizations being added
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### removeChildOrganization

    public void removeChildOrganization(Organization organization)
                                 throws JAXRException

  Removes a child Organization.

  Capability Level: 1

  Parameters:
    `organization` - the child Organization being removed
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### removeChildOrganizations

    public void removeChildOrganizations(java.util.Collection organizations)
                                  throws JAXRException

  Removes a Collection of children Organizations.

  Capability Level: 1

  Parameters:
    `organizations` - the Collection of child Organizations being removed
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getChildOrganizationCount

    public int getChildOrganizationCount()
                                  throws JAXRException

  Gets number of children.

  Capability Level: 1

  Returns:
    the number of children Organizations
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getChildOrganizations

    public java.util.Collection getChildOrganizations()
                                               throws JAXRException

  Gets all immediate children Organizations.

  Capability Level: 1

  Returns:
    Collection of Organization instances. The Collection may be empty but not null.
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error
  See Also:
    `Organization`

### getDescendantOrganizations

    public java.util.Collection getDescendantOrganizations()
                                                    throws JAXRException

  Gets all descendant Organizations.

  Capability Level: 1

  Returns:
    Collection of Organization instances. The Collection may be empty but not null.
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error
  See Also:
    `Organization`

### getParentOrganization

    public Organization getParentOrganization()
                                       throws JAXRException

  Gets the parent (container) organization.

  Capability Level: 1

  Returns:
    the parent Organization or null if object has no parent Organization
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getRootOrganization

    public Organization getRootOrganization()
                                     throws JAXRException

  Gets the root organization.

  Capability Level: 1

  Returns:
    the root Organization or null if object has no parent Organization
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.